#
# spec file for package perl-XML-XPath
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-XML-XPath
BuildRequires:  perl
BuildRequires:  perl-XML-Parser
BuildRequires:  perl-macros
Version:        1.13
Release:        102.2
Requires:       perl-XML-Parser
Url:            http://search.cpan.org/~msergeant/
Summary:        A set of modules for parsing and evaluating XPath statements
License:        Artistic-1.0 or GPL-2.0+
Group:          Development/Libraries/Perl
Source:         http://cpan.org/modules/by-module/XML/XML-XPath-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
This module aims to comply exactly to the XPath specification at
http://www.w3.org/TR/xpath and yet allow extensions to be added in the
form of functions. Modules such as XSLT and XPointer may need to do
this as they support functionality beyond XPath.



Authors:
--------
    Matt Sergeant <matt@sergeant.org>

%prep
%setup -q -n XML-XPath-%{version}

%build
perl Makefile.PL
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/xpath
%doc README TODO
%doc %{_mandir}/man?/*
%{perl_vendorlib}/XML
%{perl_vendorarch}/auto/XML/XPath

%changelog
* Wed Feb 27 2013 coolo@suse.com
- update license to new format
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Mon Jul 30 2007 mvidner@suse.cz
- package created, needed for yast2-metapackage-handler
- v 1.13
